import React, { useState } from "react";
import Output from "./Output.jsx";
import Button from "./Button.jsx";
import MyInput from "./MyInput.jsx";
import { useIsPriceToHigh } from "./useIsPriceToHigh.jsx";


function App() {
  // null; // Hier soll die Hook useIsPriceToHigh verwendet werden. 1000€ soll das Limit sein
  
  const [isPriceToHigh]= useIsPriceToHigh(1000);
  return (
    <div className="App">
      <Button text="Grafikkarte" money={800} />
      <br />
      <Button text="Prozessor" money={500} />
      <br />
      <Button text="Mainboard" money={200} />
      <br />
      <Button text="Arbeitsspeicher" money={100} />
      <br />
      <Output isPriceToHigh={isPriceToHigh} />
    </div>
  );
}

export default App;
