const initialState = {
  count: 0
};

export default function reducer(state = initialState, action) {
  switch (action.type) {
    case "count/increaseBy":
      return { ...state, count: state.count + action.amount };
    case "count/decreaseBy":
      return { ...state, count: state.count - action.amount };
    default:
      return state;
  }
}
