import React from 'react';
import { Provider } from 'react-redux';
import store from './store';
import MyInput from './MyInput.jsx';
import MyOutput from './MyOutput.jsx';
import './App.css';

export default function App() {
  return (
    <Provider store={store}>
      <div className="app-container">
        <MyInput />
        <MyOutput />
      </div>
    </Provider>
  );
}
