const initialState = {
  input: '',
  list: []
};

export default function appReducer(state = initialState, action) {
  switch (action.type) {
    case 'input/update':
      return {
        ...state,
        input:action.payload, // Hier Payload übernehmen
      };
    case 'input/clear':
      return {
        ...state,
        input: ' ', // Input leeren
      };
    case 'list/add':
      return {
        ...state.list,
        list: [...state.list, action.payload]// Liste erweitern
      };
    default:
      return state;
  }
}
