import React, { useState } from "react";
import "./Button.css";
import { useDispatch } from "react-redux";

export default function Button({ money, text }) {
  const [isAddMoney, setIsAddMoney] = useState(true);
  const dispatch = useDispatch();

  const handleClick = () => {
    if (isAddMoney) {
      //null;
      // Geld soll hinzugefügt werden.
      dispatch({type:"addPartCost", money: money});
    } else {
      //null;
      // Geld soll abgezogen werden.
      dispatch({type:"removePartCost", money: money});
    }
    setIsAddMoney(!isAddMoney);
  };

  return (
    <div>
      <button className="button" onClick={handleClick}>
        {text}
      </button>
    </div>
  );
}
