import React from 'react';
import { useDispatch, useSelector } from 'react-redux';

export default function StepCounter() {
  const count = useSelector((state) => state.count);
  const dispatch = useDispatch();

  const handleIncreaseBy5 = () => {
    dispatch({ type: "count/increaseBy", amount: 5 });
  };

  const handleDecreaseBy5 = () => {
    dispatch({ type: "count/decreaseBy", amount: 5 });
  };

  return (
    <div>
      <h2>Zähler: {count}</h2>
      <button onClick={handleIncreaseBy5}>+5</button>
      <button onClick={handleDecreaseBy5}>-5</button>
    </div>
  );
}
