
import React from 'react';
import { useDispatch, useSelector } from 'react-redux';

export default function CharLimitInput() {
  const dispatch = useDispatch();
  const text = useSelector((state) => state.text);
  const limit = 20;

  return (
    <div>
      <textarea
        value={text}
        onChange={(e) => dispatch({ type: "text/update", payload: e.target.value })}
        rows={4}
      />
      <div>
        {text.length > limit ? "Zu lang!" : `Zeichen: ${text.length}`}
      </div>
    </div>
  );
}
