
const initialState = {
  count: 0,
  step: 1,
};

export default function reducer(state = initialState, action) {
  switch (action.type) {
    case "step/change":
      return { ...state, step: action.step };
    case "count/increase":
      return { ...state, count: state.count + state.step };
    case "count/decrease":
      return { ...state, count: state.count - state.step };
    default:
      return state;
  }
}
